@import url('https://fonts.googleapis.com/css2?family=Hanalei&family=Poiret+One&display=swap');

* {
    margin: 0%;
    padding: 0%;
}

body {
    font-family: 'Poiret One', cursive;
}

.divMain {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.divMain, main {
    display: flex;
    flex-direction: column;
}

.mainAjout {
    display: inline;
}

header, main, footer {
    width: 100%;
}

header, button {
    color: white;
    background-color: cornsilk;
}

footer button {
    color:black;
}

header, h2, button {
    text-shadow: -2px 2px 8px #00000080;
}

header {
    display: flex;
    align-items: center;
    flex: 5%;
    max-height: 5%;
    text-align: center;
    background-color: cornsilk;
    /* box-shadow: 0px 2px 20px 0px #00000024; */
    z-index: 5;
    justify-content: space-between;
}

header a {
    padding: 0.5%;
    width:50%;
    text-decoration:none;
}

h1, h2 {
    margin-bottom:unset !important;
}

h1 {
    width: 100%;
    color: white;
    
}

h2 {
    
    text-align:center
}

h2 img {
    vertical-align: revert;
}

a h2 {
    color: white;
}

main {
    max-height: 88%;
    flex: 88%;
    background-color: white;
}

main div {
    height: 100%;
    width: 100%;
}

.mois {
    height: 10%;
    display: inline-flex;
    align-items: center;
    text-align: center;
    background-color: #595959;
    box-shadow: 0px 20px 18px 0px #0000001a;
}

.mois h2 {
    width: 80%;
}

.mois button {
    width: 10%;
}

.nomJours {
    display: flex;
    height: 5%;
    text-align: center;
    align-items: center;
}

.nomJours div {
    align-items: center;
    justify-content: center;
    display: flex;
}

.jours {
    height: 85%;
}

table {
    height: 100%;
    width: 100%;
    text-align: center;
}

.form-input, td {
    background-color: aliceblue;
}

td {
    width: 10%;
}

footer {
    flex: 7%;
    max-height: 7%;
    background-color: #ece6cc;
    display: flex;
    align-items: center;
    place-content: center;
}

button {
    height: 100%;
    font-size: 1.5em;
    border: 1px solid white;
    transition: 0.2s;
    transition-timing-function: cubic-bezier(0.42, 0, 0.25, 1);
}

button:active {
    background-color: #ece6cc;
    /* width:50%  */
}

.fullSize {
    width: 100%;
}

.halfSize {
    width: 50%;
    font-size: 1.5em;
}

.date, .nomJours, th {
    background: #5a81a2;
}

.date {
    height: 8%;
    max-height: 8%;
    display: flex;
    place-content: center;
    align-items: center;
    display: flex;
    justify-content: space-evenly;
}

.btnTrajet {
    height: 92%;
    max-height: 92%;
    padding: 2%;
    width: 50%;
    max-width: 50%;
    background-color: #595959;
}

#btnWithTrajet {
    float: left;
}

#btnWithoutTrajet {
    float: right;
}

.map {
    height: 50%;
}

.event {
    overflow-y: scroll;
}

.classTable
{
    height: 100%;
    overflow-y: scroll;
    scrollbar-width: thin;
}

.classTable tbody tr {
    max-height: 20%;
    min-height: 20%;
    height: 20%;
}

.classResolution
{
    height: 100%;
    width: 80%;
    text-align: center;
    flex-flow: column;
    align-items: center;
    place-content: center;
    display: flex;
    margin:auto;
}


.event {
    height:47%;
}

.map div {
    height: auto;
    width: auto;
}

.changeMonth:active {
    width: 10%;
}

button:hover {
    box-shadow: 0px 4px 10px 0px #0000001a;
}

.selectableDay, button {
    cursor: pointer;
    -webkit-user-select: none;
}

.selectableDay:hover {
    transition-duration: 0.3s;
}

.selectedDay, .selectableDay:hover {
    background-color: #85a5c1;
    transform: scale(1.05);
    box-shadow: 0px 4px 10px 0px #0000001a;
}

footer button, .nomJours {
    z-index: 5;
}

.nomJour {
    z-index: 100;
}

button:focus {
    outline: none;
}

.hidden {
    display: none;
}

.form-input {
    flex:92%;
    max-height:92%;
    overflow-y:scroll;
}

.form-input div {
    flex: 20%;
    max-height: 20%;
    margin: auto;
    display: flex;
    align-items: center;
    place-content: center;
}

.form-input div input, .divSwitch {
    height: 20%;
    width: 40%;
    padding: 0.1%;
}

.form-input .divSwitch {
    display:inline-flex;
    margin:unset;
    place-content: flex-end;
    float: right;
    width: 70px;
}

.form-input div label {
    width:40%;
    font-size: 1.5em;
    margin-bottom: 0 !important;
}

th {
    font-size:2em;
    height:5%;
}

td, th {
    border: 1px solid white;
}


td, th, .nomJours, .mois {
    font-size: 1.5em;
}

.event table {
    border-collapse:collapse;
}

.fullDay{
    font-size: 1em;
}

.signin {
    margin-right:5%;
    width:auto;
    text-align:left;
    margin-right:5%;
}

label, input {
    font-family:system-ui;
}

@media only screen and (max-width: 700px) {
    header a h2, header a h1 {
        font-size: x-large;
    }
}

@media only screen and (max-width: 500px) {
    header a h2, header a h1 {
        font-size: initial;
    }
}



@media only screen and (max-width: 800px) {
    .classResolution
    {
        width: 100%;
    }

  }
  @media only screen and (max-width: 500px) {
    body {
        font-size: smaller;
    }
  }

  i {
    font-size: 0.5em;
    padding-bottom: 4px;
  }

  .labelSwitch
  {
      display: inline-block;
  }

  i div 
  {
      /* float: left; */
      display: none;
      cursor: help;
  }
  i:hover div
  {
      display: inline;
  }

  .aideSwitch
  {
    background-color: #595959;
    color: white;
    width: 75px;
    font-size: 20px;
    padding: 5px;
  }

/* Debut switch */
.divSwitch .switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
  .switch input { 
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #2196F3;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }
/* Fin switch */

.inputSwitch {
    visibility: hidden;
}

form {
    height: 100%;
    display: flex;
    flex-flow: column;
}
/* 
form main {
    max-height: 93%;
} */

#tooltip {
    background: #333;
    color: white;
    font-weight: bold;
    padding: 4px 8px;
    font-size: 13px;
    border-radius: 4px;
}